
#ifndef __RSHAPER_SYSDEP_H__
#define __RSHAPER_SYSDEP_H__

#ifdef __KERNEL__ /* system dependecies are only in kernel space */

//#include <linux/config.h>
#ifndef UTS_RELEASE
#  include <linux/version.h>
#endif

#ifndef KERNEL_VERSION
#  define KERNEL_VERSION(vers,rel,seq) ( ((vers)<<16) | ((rel)<<8) | (seq) )
#endif

/* Only run with 2.4, 2.6 */
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,4,0) /* not < 2.4 */
#  error "This kernel is too old: not supported by this file"
#  error LINUX_VERSION_CODE
#endif

#undef LINUX_26
#undef LINUX_24

/* remember about the current version */
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,0)
#  define LINUX_26
#elif LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,0)
#  define LINUX_24
#endif

#  ifndef CONFIG_NETFILTER
#    error "Netfilter support is not enabled in kernel configuration"
#  endif

#  include <linux/netfilter.h>
#  include <linux/netfilter_ipv4.h>
#  include <asm/uaccess.h>
#  include <asm/io.h>


/* Module licensing */
#ifndef MODULE_LICENSE
#  define MODULE_LICENSE(license)
#endif

#endif /* __KERNEL__ */
#endif /* __RSHAPER_SYSDEP_H__ */
